Summary: Statically linked binary providing simplified versions of system commands
Name: busybox
Version: 1.00
Release: 0.pre8.2tr
License: GPL
Group: Trustix Official
Source: http://www.busybox.net/downloads/busybox-%{version}-pre8.tar.bz2
Source1: busybox-1.00.config
Patch: busybox-static.patch
Patch1: busybox-anaconda.patch
URL: http://www.busybox.net/
BuildRoot: %{_tmppath}/%{name}-root

%package anaconda
Group: Trustix Official
Summary: Version of busybox configured for use with anaconda

%description 
Busybox is a single binary which includes versions of a large number
of system commands, including a shell.  This package can be very
useful for recovering from certain types of system failures,
particularly those involving broken shared libraries.

%description anaconda
Busybox is a single binary which includes versions of a large number
of system commands, including a shell.  The version contained in this
package is designed for use with the Trustix installation program,
anaconda. The busybox package provides a binary better suited to
normal use.

%prep
%setup -q -n %{name}-%{version}-pre8

%build
cp %{SOURCE1} .config
make oldconfig
cp .config %{SOURCE1}
make
cp busybox busybox-static

# The anaconda one is not static
sed -e 's/^.*CONFIG_STATIC.*$/# CONFIG_STATIC is not set/' %{SOURCE1} > .config
make clean
make oldconfig
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
mkdir -p -m 755 $RPM_BUILD_ROOT/sbin
mkdir -p -m 755 $RPM_BUILD_ROOT/%{_mandir}/man1
install -s -m 755 busybox-static $RPM_BUILD_ROOT/sbin/busybox
install -s -m 755 busybox $RPM_BUILD_ROOT/sbin/busybox.anaconda
install -m 644 docs/BusyBox.1 $RPM_BUILD_ROOT/%{_mandir}/man1/busybox.1

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc AUTHORS LICENSE README
/sbin/busybox
%{_mandir}/man1/busybox*

%files anaconda
%defattr(-,root,root,0755)
/sbin/busybox.anaconda

%changelog
* Fri Dec 12 2003 Erlend Midttun <erlendbm at trustix dot org> 0.60.5-1tr
- New upstream.

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 0.51.062801-8tr
- Big rebuild

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 0.51.062801-6em
- Rebuilt against glibc 2.3.2.

* Wed Jan  8 2003 Erlend Midttun <erlendbm at trustix dot com> 0.51.062801-5em
- Fixed package Group take II

* Mon Dec  9 2002 Erlend Midttun <erlendbm at trustix dot com> 0.51.062801-4em
- Fixed package Group

* Mon Jul  9 2001 Tim Powers <timp@redhat.com>
- don't obsolete sash
- fix URL and spelling in desc. to satisfy rpmlint

* Thu Jul 05 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add missing defattr for anaconda subpackage

* Thu Jun 28 2001 Erik Troan <ewt@redhat.com>
- initial build for Red Hat
